Bug 497396 - lvcreate man page is missing "--type" documentation
lvcreate man page is missing "--type" documentation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Mike Snitzer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 14:12 EDT by Stephen Tweedie
Modified: 2011-02-09 17:05 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-09 17:05:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2009-04-23 14:12:18 EDT
Description of problem:
"lvcreate --type" is not documented.

It turns out to be rather useful to use "--type zero", especially in conjunction with snapshots, but although lvcreate --help mentions --type, "man lvcreate" is silent on the topic.

Version-Release number of selected component (if applicable):
lvm2-2.02.39-7.fc10.i386
Comment 1 Bug Zapper 2009-11-18 07:50:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-03-15 08:33:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Mike Snitzer 2010-06-02 18:04:29 EDT
lvm2 2.02.67 will document --type for lvcreate.

The only other command that takes --type is lvresize.  But the utility of lvresize --type is unclear given the code simply verifies that the specified type matches the LV's existing segment type.  I need to understand what the point of lvresize --type is before I can document it.
Comment 4 Mike Snitzer 2010-06-03 10:21:29 EDT
Setting MODIFIED.  (lvextend, via common _lvresize(), doesn't support mixed segment types so documenting --type for that command is not yet meaningful).

Note You need to log in before you can comment on or make changes to this bug.